## ros-iron-plansys2-terminal 2.0.11

=== test/CMakeLists.txt ===
ament_add_gtest(terminal_test terminal_test.cpp TIMEOUT 500)
ament_target_dependencies(terminal_test ${dependencies})
target_link_libraries(terminal_test terminal readline)

install(DIRECTORY
  pddl
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-iron-plansys2-terminal (2.0.11-1jammy) jammy; urgency=high

  * Read multiple lines in terminal input
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 01 Aug 2023 22:00:00 -0000

ros-iron-plansys2-terminal (2.0.10-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/humble-devel'
  * Merge pull request #251 <https://github.com/PlanSys2/ros2_planning_system/issues/251> from PlanSys2/fix_bt_node
    Fix bt node
  * Change MultiThreaded for SingleThreaded in CI failing tests
  * Merge pull request #238 <https://github.com/PlanSys2/ros2_planning_system/issues/238> from roveri-marco/fix_goal_structure_issue_205
    Fix goal structure issue 205
  * Fix terminal tests
  * Minor fix
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Merge remote-tracking branch 'upstream/master'
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Contributors: Andrianov Roman, Francisco Martín Rico, Marco Roveri, Splinter1984

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 16 Jul 2023 22:00:00 -0000

ros-iron-plansys2-terminal (2.0.9-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-iron-plansys2-terminal (2.0.8-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-terminal (2.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-terminal (2.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-terminal (2.0.5-1jammy) jammy; urgency=high

  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico, Jake Keller, Marco Roveri

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-terminal (2.0.4-1jammy) jammy; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Merge pull request #213 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/213> from roveri-marco/fix_issue_predicate_no_args_in_terminal
    Fix for issue #212 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/212> - predicate with no args
  * Fix for issue #212 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/212> - predicate with no args
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Contributors: Francisco Martín Rico, Jake Keller, Marco Roveri

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-terminal (2.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-terminal (2.0.2-1jammy) jammy; urgency=high

  * Made latest modifications reentrant without the use of global variables
  * Renamed planfrom to plan-file, added help for help
  * Added tests for source and run planfrom, cleaned code to have all the test to pass
  * Fixed recursive load, added command run planfrom to read a plan from file and execute it
  * Initial preliminary support for help and load new commands
  * Fix run entire plan
  * Add options to run command
  * Add action failure details to ExecutorClient
  * Contributors: Francisco Martín Rico, Jake Keller, Josh Zapf, Marco Roveri

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-terminal (2.0.1-1jammy) jammy; urgency=high

  * Translate error message to English
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico, Ricardo Marques

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-iron-plansys2-terminal (2.0.0-1jammy) jammy; urgency=high

  * Fix compile issues for galactic
  * Compile for ROS2 Galactic
  * Contributors: Francisco Martín Rico, Jonatan Olofsson, bjnjo

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-iron-plansys2-terminal (1.0.10-1jammy) jammy; urgency=high

  * Revert wrong directory move
  * Remove node parameter in client constructors
  * Enabling code coverage of plansys2_terminal::Terminal node init functions.
  * Adding unit tests for new functions in plansys2_terminal.
  * Add ability to read in pddl problem files to plansys2 and a new AddProblem service to the plansys2_problem_expert.
    Adding problem_file node parameter to plansys2_problem_expert to load a single problem file at launch.
  * ros2-plan-msg: Passing plan to executor to add further separation between plan creation and plan execution.
  * Linting
  * Fix set predicates with no arguments
  * Suggestion for #118 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/118>
  * pddl-tree-messages: Performing some minor cleanup.
  * pddl-tree-messages: Using explicit specifier for single parameter constructors in plansys2_core/Types.hpp.
  * pddl-tree-messages: Replacing user access function calls with shorter versions where possible.
  * pddl-tree-messages: Updating addInstance and removeInstance calls to use helper classes.
  * pddl-tree-messages: Merging upstream master and resolving conflicts.
  * pddl-tree-messages: Using ROS messages to define the PDDL construct trees.
  * Fix tests and linting
  * Update version
  * Contributors: Alexander Xydes, Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-iron-plansys2-terminal (1.0.9-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-iron-plansys2-terminal (1.0.8-1jammy) jammy; urgency=high

  * Action execution refactoring
  * Add support for numeric conditions and effects.
  * Monitorization info
  * fix minor typo
  * Adding actor checker in terminal


=== debian/control ===
Source: ros-iron-plansys2-terminal
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libreadline-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-index-cpp <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-lifecycle-msgs <!nocheck>, ros-iron-plansys2-domain-expert, ros-iron-plansys2-executor, ros-iron-plansys2-msgs, ros-iron-plansys2-pddl-parser, ros-iron-plansys2-planner, ros-iron-plansys2-problem-expert, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-plansys2-terminal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libreadline-dev, ros-iron-plansys2-domain-expert, ros-iron-plansys2-executor, ros-iron-plansys2-msgs, ros-iron-plansys2-pddl-parser, ros-iron-plansys2-planner, ros-iron-plansys2-problem-expert, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Description: A terminal tool for monitor and manage the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-plansys2-terminal//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
